import GdInput from "./GdInput.vue";
import GdDatePicker from "./GdDatePicker.vue";
import GdSwitch from "./GdSwitch.vue";
import GdSelect from "./GdSelect.vue";
import GdTableSelect from "./GdTableSelect.vue";
import GdInputLanguage from "./GdInputLanguage.vue";
import GdInputNumber from "./GdInputNumber.vue";
import GdTreeSelect from "./GdTreeSelect.vue";
import GdDivider from "./GdDivider.vue";
import GdUpload from "./GdUpload.vue";

const compoennts = [GdInput, GdDatePicker, GdSwitch, GdSelect, GdTableSelect, GdInputLanguage, GdInputNumber, GdTreeSelect, GdDivider, GdUpload]
const install = (app: any, options: any) => {
  compoennts.forEach(component => {
    if (component.name) {
      app.component(component.name, component)
    }
  })
}

export default{
  install
};